FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > ArchLinux > ArchLinux Pacman Development

 
 
LinkBack Thread Tools
 
Old 09-17-2012, 11:26 PM
Allan McRae
 
Default Suppress repeated dependency resolving error messages

On 17/09/12 14:17, Allan McRae wrote:
> When hitting an unresolvable dependency, pacman will output a message
> like:
>
> warning: cannot resolve "glibc>=1.0-2", a dependency of "gcc-libs"
>
> This currently is repeated every time the package with the unresolvable
> dependency is seen during dependency resolution. Limit this to printing
> the output once.
>

I'm cancelling this patch. It suppresses any warning for a package not
directly pulled in. That is fine for a full upgrade operation, but not
when there is an error down the dependency chain of an individual
package install.

Allan
 

Thread Tools




All times are GMT. The time now is 08:25 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org